%define	libname_orig	lib%{name}
%define lib_major	1
%define libname	  %mklibname %{name} %{lib_major}
%define develname %mklibname -d %{name}

Name:		acl
Version:	2.2.53
Release:	%mkrel 2
Summary:	Command for manipulating access control lists
License:	GPLv2+ and LGPLv2
Group:		System/Kernel and hardware
URL:		http://savannah.nongnu.org/projects/acl
Source0:	https://download-mirror.savannah.gnu.org/releases/acl/acl-%{version}.tar.gz
BuildRequires:	attr-devel
BuildRequires:	libtool

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n	%{libname}
Summary:	Main library for %{libname_orig}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the %{libname_orig} dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n	%{develname}
Summary:	Access control list static libraries and headers
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{libname} = %{version}-%{release}
Provides:	acl-devel = %{version}-%{release}
Provides:	libacl-devel = %{version}-%{release}
Obsoletes:	%mklibname -d acl 0
Obsoletes:	%mklibname -d acl 1

%description -n	%{develname}
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

You should install %{develname} if you want to develop programs
which make use of ACLs.  If you install %{develname}, you will
also want to install %{libname}.

%prep
%setup -q
%autopatch -p1

%build
%configure --sbindir=%{_bindir}
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_docdir}/acl

%find_lang %{name}

%files -f %{name}.lang
%doc doc/CHANGES doc/COPYING README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{libname}
%doc doc/COPYING
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}.*

%files -n %{develname}
%doc doc/extensions.txt doc/COPYING doc/libacl.txt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_mandir}/man3/*
%dir %{_includedir}/acl
%{_includedir}/acl/libacl.h
%{_includedir}/sys/acl.h


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.2.53-2.mga8
+ Revision: 1521640
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 2.2.53-1.mga7
+ Revision: 1345867
- 2.2.53
- remove patches (fixed upstream)

* Sun Sep 23 2018 umeabot <umeabot> 2.2.52-9.mga7
+ Revision: 1297277
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 tv <tv> 2.2.52-8.mga7
+ Revision: 1196920
- patches 1 & 2: fix build with latest xattr

* Wed Feb 10 2016 umeabot <umeabot> 2.2.52-7.mga6
+ Revision: 953048
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.2.52-6.mga6
+ Revision: 867530
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 2.2.52-5.mga5
+ Revision: 739268
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.52-4.mga5
+ Revision: 686450
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.52-3.mga5
+ Revision: 677687
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.2.52-2.mga4
+ Revision: 529018
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 luigiwalser <luigiwalser> 2.2.52-1.mga4
+ Revision: 448618
- 2.2.52

* Fri Jan 11 2013 umeabot <umeabot> 2.2.51-6.mga3
+ Revision: 345250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 2.2.51-5.mga3
+ Revision: 337577
- Fix for _libdir != _libexecdir

* Sat Jul 21 2012 colin <colin> 2.2.51-4.mga3
+ Revision: 273158
- Update for usrmove

* Sun Dec 18 2011 bcornec <bcornec> 2.2.51-3.mga2
+ Revision: 183888
- Fix bug #3564 by re-enabling the build of static libs

* Tue Sep 13 2011 fwang <fwang> 2.2.51-2.mga2
+ Revision: 142881
- update file list
- drop .la files

* Fri Jun 17 2011 tv <tv> 2.2.51-1.mga2
+ Revision: 109231
- new release
- drop patch 0 (merged)

* Sat Jan 08 2011 blino <blino> 2.2.49-5.mga1
+ Revision: 529
- remove obsolete postun
- imported package acl


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.49-4mdv2011.0
+ Revision: 603167
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - ship acl(5) man page in main package, instead of the devel package

* Mon Dec 28 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.49-2mdv2010.1
+ Revision: 483156
- P0: security fix for CVE-2009-4411

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.49-1mdv2010.1
+ Revision: 482850
- update to new version 2.2.49

* Tue Aug 25 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.48-1mdv2010.0
+ Revision: 421234
- Update to new version 2.48
- Remove symlinks patch integrated upstream

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Added patch0 to prevent following symlinks when not needed (#43741).

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.47-6mdv2010.0
+ Revision: 413019
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.47-5mdv2009.1
+ Revision: 316459
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.2.47-4mdv2009.0
+ Revision: 220325
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 11 2008 Frederik Himpe <fhimpe@mandriva.org> 2.2.47-3mdv2008.1
+ Revision: 165429
- New upstream version

* Mon Jan 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.45-3mdv2008.1
+ Revision: 159089
- make it provide libacl-devel again

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 2.2.45-2mdv2008.1
+ Revision: 158752
- fix upgrading by obsoleting correct pacakage

* Sun Jan 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.45-1mdv2008.1
+ Revision: 158654
- new devel policy
- update to new version 2.2.45

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 2.2.44-3mdv2008.1
+ Revision: 148405
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + Christiaan Welvaart <spturtle@mandriva.org>
    - 2.2.44


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.39-2mdv2007.0
+ Revision: 131825
- Rebuilt.
- Import acl

* Sun Jul 09 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.39-1mdv2007.0
- 2.2.39.

* Fri May 05 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.34-1mdk
- 2.2.34

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.31-3mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.31-2mdk
- Rebuild

* Wed Aug 03 2005 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.31-1mdk
- 2.2.31.

* Wed Jul 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 2.2.23-2mdk
- if we list the libattr libtool file in our libtool file, at least
  ensure the location is right

* Fri Apr 30 2004 Juan Quintela <quintela@mandrakesoft.com> 2.2.23-1mdk
- 2.2.23.

